# Class PopulationArgInterval

java.lang.Object
ecoparasite.population.PopulationArgInterval

public class PopulationArgInterval extends Object
Classe qui permet de gérer un intervalle de données issues d'un CSV. Trois données : minimum, maximum et moyenne entre minimum et maximum.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PopulationArgInterval(Double min, Double max)`
  Constructeur.
  `PopulationArgInterval(Double min, Double max, Double mean)`
  Constructeur.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PopulationArgInterval`
  `fromString(String rawValue)`
  Permet de transformer une String (Extraite d'un fichier CSV) et de la transformer en Intervalle.
  `Double`
  `getMax()`
  `Double`
  `getMean()`
  `Double`
  `getMin()`
  `Double`
  `transformToDouble()`
  Permet de transformer un intervalle en double.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PopulationArgInterval

    public PopulationArgInterval(Double min, Double max, Double mean)
    Constructeur. La moyenne doit être précisée.
    Parameters:
      `min` - Valeur minimale
      `max` - Valeur maximale
      `mean` - Moyenne

  - ### PopulationArgInterval

    public PopulationArgInterval(Double min, Double max)
    Constructeur. La moyenne est calculé automatiquement.
    Parameters:
      `min` - Valeur minimale
      `max` - Valeur maximale.

- ## Method Details

  - ### getMin

    public Double getMin()

  - ### getMax

    public Double getMax()

  - ### getMean

    public Double getMean()

  - ### transformToDouble

    public Double transformToDouble()
    Permet de transformer un intervalle en double. Si le minimum est égal au maximum, cette valeur est retourné. Sinon la moyenne est retourné.
    Returns:
      La valeur transformée en Double.

  - ### fromString

    public static PopulationArgInterval fromString(String rawValue)
    Permet de transformer une String (Extraite d'un fichier CSV) et de la transformer en Intervalle. Gère les séparateurs +/- ainsi que l'entre deux. Sinon, elle sera juste convertie avec minimum = maximum.
    Parameters:
      `rawValue` - La valeur brute.
    Returns:
      La valeur en tant qu'intervalle.